Ubuntu uuendamisel 16.04 LTS -> 18.04.1 LTS ei uuene eelnevalt paigaldatud ID-kaardi tarkvara.

Uuenduse käigus teavitab Ubuntu, et kolmandate osapoolte tarkvara ei uuendata.

Faili /etc/apt/sources.list.d/ria-repository.list sisu muudetakse järgmiselt:
# deb https://installer.id.ee/media/ubuntu/ bionic main # disabled on upgrade to bionic
 

Tagajärg:
-Kuna Ubuntu 16.04 jaoks kompileeritud Open-EID 18.04 peal ei jookse, siis DigiDoc4 ei käivitu.
-Viga käsurealt käivitades:
qdigidoc4: symbol lookup error: /usr/lib/x86_64-linux-gnu/libdigidocpp.so.1: undefined symbol: _ZN11xalanc_1_1114XPathEvaluator10initializeERN11xercesc_3_113MemoryManagerE
-Chrome autentimine toimib.
-Firefox autentimine ei tööta. Pärast sertifikaadi valikut avaneb Secure Connection Failed.
-Chrome ega Firefox allkirjastamine ei tööta. Pärast PIN-koodi küsimist tuleb technical_error.
 

Lahendus 1
1. Käivitada uuesti Open-EID paigaldusskript.
2. Käivitada sudo apt update && sudo apt upgrade
Paigaldusskript uuendab open-eid ja opensc paketi, teine käsk on vajalik ülejäänud pakkide uuendamiseks.
 

Lahendus 2 (See variant sobib kogenumale arvutikasutajale)
1. Eemaldada /etc/apt/sources.list.d/ria-repository.list failis rea eest kommentaar.
2. Käivitada sudo apt update && sudo apt upgrade


KÜSI ABI

Kui sa ei leidnud oma küsimusele vastust, kirjuta meie meeskonnale.



  • Vaata juhendit
  • Hinda oma arvutikasutusoskust, et saaksime anda paremaid juhiseid

         

  • Kontroll ebaõnnestus

Kuidas saame artiklit parandada, et sellest rohkem abi oleks?
Saada Sulge